//---------------------------------------------------------------------------
#ifndef vSCopyLogicielH
#define vSCopyLogicielH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
#include "WebHelp.h"
#include "CEdit.h"
#include "CComboBx.h"
//---------------------------------------------------------------------------
class TCopyLogiciel : public TForm
{
    __published:	// Composants gérés par l'EDI
        TPanel  *Panel1;
        TPanel  *Panel2;
        TBitBtn *bbOk;
        TBitBtn *BitBtn2;
        TLabel  *Label1;
        TLabel  *Label2;
        CEdit *cSource;
        CEdit *cCible;
    CComboBox *cbLogiciel;
    TLabel *lRefWebHelp;
    void __fastcall bbOkClick(TObject *Sender);
    void __fastcall cbLogicielChange(TObject *Sender);
        
    private:
        int m_nLogiciel;
        TdmWebHelp * dmWebHelp;
    //A partir de la fenetre ParamLogiciel
    private:	// Déclarations utilisateur
        void __fastcall InsererTableLogiciel( void );
        void __fastcall InsererTableVersions(const int &nLogicielCible);
        void __fastcall InsererTableRefer(const int &nLogicielCible,
                                          const int &nVerCodeCible,
                                          const int &nVerCode);
        int  __fastcall GetMaxIDLog( void );
        int  __fastcall GetMaxIDVer( void );
        bool __fastcall VerifNomLogiciel(const AnsiString &asLogNom);

    //A partir du menu
    private:
        void __fastcall AjouterLog( void );
                                          
    public:		// Déclarations utilisateur
        __fastcall TCopyLogiciel(const AnsiString &asLogNom,
                                 const int &nLogiciel,
                                 const bool &bMenu,
                                 TComponent* Owner);
        __fastcall ~TCopyLogiciel();
};
//---------------------------------------------------------------------------
#endif
